Post news RSS New Installer + Video

New installer for new players. Only thing you need is copy of Quake II + Quake II 3.20 patch or Quake II Demo.

Posted by on


Gloom 1.3 Installer + Quake II Demo = Ready to play Gloom.

Quake II is required with 3.20 patch or only Quake II Demo.
Gloom is still being actively developed. Latest changes can be seen here.

Comments
Jam3s007
Jam3s007

Switch engine to darkplaces for sexier graphics :P
the game still looks hot though.

Reply Good karma Bad karma+1 vote
Dan911
Dan911

i would dl if it was a stand alone :) and darkplaces would be nice

Reply Good karma Bad karma+1 vote
Jam3s007
Jam3s007

There is a stand alone version, yet it cant be found under downloads in this profile... odd.

Reply Good karma Bad karma+1 vote
pallokallo Author
pallokallo

Had to remove it because had Quake II content mostly textures.

Reply Good karma+1 vote
leilei
leilei

Yeah bundling a copyrighted game with a mod touting it as a stand-alone game is not a legally smart idea at all even if it's a ripped apart or cut down demo version.

Reply Good karma Bad karma+2 votes
MechanicalPaladin
MechanicalPaladin

Good thing that I still own Quake II!
You got my download :)
...tracking...

Reply Good karma Bad karma+1 vote
BloodTree
BloodTree

healer

<3

Reply Good karma Bad karma+1 vote
Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

News
Tags
Demo, Patch, Trailer
Browse
News
New
Post news
Share
Related Mods
Related Games
Quake 2
Quake 2 First Person Shooter